<?php

namespace Drupal\contact_storage_export;

class ContactStorageExport {
  
  /**
   * Get the labels from the field definitions.
   * 
   * @param array $messages
   *   The contact_message objects.
   * @return array
   *   The labels.
   */
  public static function getLabels($messages) {
    $labels = [];
    if ($fields = reset($messages)->getFieldDefinitions()) {
      foreach ($fields as $key => $field) {
        if ($label = $field->getLabel()) {
          
          // Remove characters not allowed in keys of associative arrays.
          $label = filter_var(
            $label, 
            FILTER_SANITIZE_STRING, 
            FILTER_FLAG_STRIP_HIGH | FILTER_FLAG_STRIP_LOW | FILTER_FLAG_NO_ENCODE_QUOTES
          );          
          $labels[$key] = $label;
          
        }
      }
    }
    return $labels;
  }
  
}
